<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Package extends Model
{
    use HasFactory;

    protected $fillable = [
        'name',
        'net_speed',
        'price',
        'description',
        'status',
        'mikrotik_server_id',
        'mikrotik_profile_name',
    ];

    public function customers()
    {
        return $this->hasMany(Customer::class);
    }

    public function mikrotikServer()
    {
        return $this->belongsTo(Mikrotik::class, 'mikrotik_server_id');
    }
}
